Subject: [Bug 224] New: add example for URI escaping in DAV:href

From: [email-masked]
Date: Sun, 22 Jan 2006 08:01:44 -0800

http://ietf.cse.ucsc.edu:8080/bugzilla/show_bug.cgi?id=224

           Summary: add example for URI escaping in DAV:href
           Product: WebDAV-RFC2518-bis
           Version: -10
          Platform: Other
               URL: http://greenbytes.de/tech/webdav/draft-ietf-webdav-
                    rfc2518bis-10.html#rfc.section.12.2
        OS/Version: other
            Status: NEW
          Severity: normal
          Priority: P2
         Component: 12.  Multi-Status Response
        AssignedTo: [email-masked]
        ReportedBy: [email-masked]
         QAContact: [email-masked]

(splitting this into a separate issue)

During the last telecons, it seems there was consensus to replace the statement

"If a server allows resource names to include characters that aren't legal in
HTTP URL paths, these characters must be percent-encoded on the wire (see
[RFC3986], section 2.1). For example, it is illegal to use a space character or
double-quote in a URI. URIs appearing in PROPFIND or PROPPATCH XML bodies (or
other XML marshalling defined in this specification) are still subject to all
URI rules, including forbidden characters."

by more precise language and to also add an example.

------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.